﻿<%@ page language="C#" autoeventwireup="true" inherits="Map, App_Web_pl1uuvzm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="SHORTCUT ICON" href="Images/GEIcon.ico" />
    <title>GeoEnviron WEB - Rottebekæmpelse</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript">

    //Google map
    var map;

    function DisplayIcons(values)
    {
        map.clearOverlays();

        var message = new Array();
        message = values.split('$');

        if (message[0] == 0)
        {
            map.setCenter(new GLatLng(56, 10.4), 6);
            return;
        }
    
        //Icons
        var iconPathArray = new Array();
        iconPathArray[0] = 'Icons/house.png';
        iconPathArray[1] = 'Icons/complete.png';
        iconPathArray[2] = 'Icons/incomplete.png';
        iconPathArray[3] = 'Icons/completeBuffer.png';
        iconPathArray[4] = 'Icons/incompleteBuffer.png';

        var markerArray = new Array();

        for(var i = 0; i < iconPathArray.length; i++)
        {
            var myGIcon = new GIcon(G_DEFAULT_ICON);
            myGIcon.image = iconPathArray[i];
            markerArray[i] = { icon:myGIcon };
        }

        // Creates a marker at the given point
        // Clicking the marker will hide it
        function createMarker(latlng, number, msg, marker)
        {
            var marker = new GMarker(latlng, marker);
            marker.value = number;
            GEvent.addListener(marker,"click", function() { map.openInfoWindowHtml(latlng, msg); });
            //GEvent.addListener(marker, "mouseover", function() { map.openInfoWindowHtml(latlng, msg); });
            return marker;
        }

        //Ractangle for computing map center and zoom level.
        var bounds = new GLatLngBounds();
        
        // Put messages on map
        for (var i = 0; i < message[0]; i++)
        {
            var split = message[i + 1].split('£');
            var id = split[0];
            var longitude = split[1]; //X
            var latitude = split[2]; //Y
            var msg = split[3];
            var icon = split[4];
            
            var marker = markerArray[icon];
        
            var latlng = new GLatLng(latitude, longitude);
            bounds.extend(latlng);
            map.addOverlay(createMarker(latlng, id, msg, marker));
        }

        var zoomLevel = map.getBoundsZoomLevel(bounds) - 1;

        if(zoomLevel > 18)
        {
            zoomLevel = 18;
        }

        map.setCenter(bounds.getCenter(), zoomLevel);
    }

    function DisplayMapMessage()
    {
        var mapMessage = document.getElementById('HiddenField_MapMessage').value;

        if (mapMessage.length > 0)
        {
            alert(mapMessage);
        }
    }

    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            var procent = document.getElementById('HiddenField_MapSizeProcent').value;
            var x = parseInt((procent * screen.width) / 100);
            var y = parseInt((procent * screen.height) / 100);

            var div_map = document.getElementById("map_canvas");
            div_map.style.width = x.toString() + 'px';
            div_map.style.height = y.toString() + 'px';
        
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(56, 10.4), 6);
            map.setUIToDefault();

            //map.removeMapType(G_NORMAL_MAP);
            //map.removeMapType(G_SATELLITE_MAP);
            //map.addMapType(G_SATELLITE_MAP);
            //map.addMapType(G_NORMAL_MAP);
            //map.addControl(new GMapTypeControl());

            var mapElements = document.getElementById('HiddenField_MapElements').value;
            
            if (mapElements.length > 0)
            {
                DisplayIcons(mapElements);
                DisplayMapMessage();
            }
        }
    }

    </script>

</head>
<body onload="initialize();" onunload="GUnload()">
    <form id="form1" runat="server">
    <div id="map_canvas" style="position:absolute; left:0px; top:0px; width:600px; height:500px;">
    </div>
    <asp:HiddenField ID="HiddenField_MapElements" runat="server" />
    <asp:HiddenField ID="HiddenField_MapMessage" runat="server" />
    <asp:HiddenField ID="HiddenField_MapSizeProcent" runat="server" />
    </form>
</body>
</html>
